package com.goldenwater.slgc.service.pms;

import com.goldenwater.slgc.entity.pms.PmsContract;
import java.util.List;

public interface IPmsContractService {
    /**
     * 查询合同列表
     */
    List<PmsContract> selectList(PmsContract contract);

    /**
     * 根据主键查询合同
     */
    PmsContract selectById(Long id);

    /**
     * 新增合同
     */
    int insert(PmsContract contract);

    /**
     * 修改合同
     */
    int update(PmsContract contract);

    /**
     * 删除合同
     */
    int deleteById(Long id);

    /**
     * 批量删除合同
     */
    int deleteByIds(Long[] ids);
}
